<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Types (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Types (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Types.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
               title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
               title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hsmf/datatypes/Types.html" target="_top">Frames</a></li>
        <li><a href="Types.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hsmf.datatypes</div>
    <h2 title="Class Types" class="title">Class Types</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hsmf.datatypes.Types</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">Types</span>
extends java.lang.Object</pre>
                <div class="block">The types list and details are available from
                    http://msdn.microsoft.com/en-us/library/microsoft.exchange.data.contenttypes.tnef.tnefpropertytype%28v=EXCHG.140%29.aspx
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Class and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.html#APP_TIME">APP_TIME</a></span></code>
                                    <div class="block">AppTime - application time value</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.html#ASCII_STRING">ASCII_STRING</a></span></code>
                                    <div class="block">An 8-bit string, probably in CP1252, but don't quote us...</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.html#BINARY">BINARY</a></span></code>
                                    <div class="block">Binary - counted byte array</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.html#BOOLEAN">BOOLEAN</a></span></code>
                                    <div class="block">Boolean - 16-bit Boolean value.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.html#CLS_ID">CLS_ID</a></span></code>
                                    <div class="block">ClassId - OLE GUID</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.html#CURRENCY">CURRENCY</a></span></code>
                                    <div class="block">Currency - signed 64-bit integer that represents a base ten
                                        decimal with
                                        four digits to the right of the decimal point
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.html#DIRECTORY">DIRECTORY</a></span></code>
                                    <div class="block">Object/Directory - embedded object in a property</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.html#DOUBLE">DOUBLE</a></span></code>
                                    <div class="block">Double - floating point double</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.html#ERROR">ERROR</a></span></code>
                                    <div class="block">Error - 32-bit error value</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.html#FLOAT">FLOAT</a></span></code>
                                    <div class="block">R4 - 4-byte floating point value</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.html#LONG">LONG</a></span></code>
                                    <div class="block">Long - signed 32-bit value</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.html#LONG_LONG">LONG_LONG</a></span></code>
                                    <div class="block">I8 - 8-byte signed integer</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.html#MULTIVALUED_FLAG">MULTIVALUED_FLAG</a></span></code>
                                    <div class="block">MultiValued - Value part contains multiple values</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.html#NULL">NULL</a></span></code>
                                    <div class="block">Null - NULL property value</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.html#SHORT">SHORT</a></span></code>
                                    <div class="block">I2 - signed 16-bit value</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.html#TIME">TIME</a></span></code>
                                    <div class="block">SysTime - FILETIME 64-bit integer specifying the number of 100ns
                                        periods
                                        since Jan 1, 1601
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.html#UNICODE_STRING">UNICODE_STRING</a></span></code>
                                    <div class="block">A string, from Outlook 3.0 onwards.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.html#UNKNOWN">UNKNOWN</a></span></code>
                                    <div class="block">Unknown</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.html#UNSPECIFIED">UNSPECIFIED</a></span></code>
                                    <div class="block">Unspecified</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.html#Types--">Types</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.html#asFileEnding-int-">asFileEnding</a></span>(int&nbsp;type)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.html#asName-int-">asName</a></span>(int&nbsp;typeId)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.html#createCustom-int-">createCustom</a></span>(int&nbsp;typeId)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.html#getById-int-">getById</a></span>(int&nbsp;typeId)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="UNSPECIFIED">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>UNSPECIFIED</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a> UNSPECIFIED</pre>
                                <div class="block">Unspecified</div>
                            </li>
                        </ul>
                        <a name="UNKNOWN">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>UNKNOWN</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a> UNKNOWN</pre>
                                <div class="block">Unknown</div>
                            </li>
                        </ul>
                        <a name="NULL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>NULL</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a> NULL</pre>
                                <div class="block">Null - NULL property value</div>
                            </li>
                        </ul>
                        <a name="SHORT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>SHORT</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a> SHORT</pre>
                                <div class="block">I2 - signed 16-bit value</div>
                            </li>
                        </ul>
                        <a name="LONG">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LONG</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a> LONG</pre>
                                <div class="block">Long - signed 32-bit value</div>
                            </li>
                        </ul>
                        <a name="FLOAT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>FLOAT</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a> FLOAT</pre>
                                <div class="block">R4 - 4-byte floating point value</div>
                            </li>
                        </ul>
                        <a name="DOUBLE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DOUBLE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a> DOUBLE</pre>
                                <div class="block">Double - floating point double</div>
                            </li>
                        </ul>
                        <a name="CURRENCY">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>CURRENCY</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a> CURRENCY</pre>
                                <div class="block">Currency - signed 64-bit integer that represents a base ten decimal
                                    with
                                    four digits to the right of the decimal point
                                </div>
                            </li>
                        </ul>
                        <a name="APP_TIME">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>APP_TIME</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a> APP_TIME</pre>
                                <div class="block">AppTime - application time value</div>
                            </li>
                        </ul>
                        <a name="ERROR">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ERROR</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a> ERROR</pre>
                                <div class="block">Error - 32-bit error value</div>
                            </li>
                        </ul>
                        <a name="BOOLEAN">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BOOLEAN</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a> BOOLEAN</pre>
                                <div class="block">Boolean - 16-bit Boolean value. '0' is false. Non-zero is true</div>
                            </li>
                        </ul>
                        <a name="DIRECTORY">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DIRECTORY</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a> DIRECTORY</pre>
                                <div class="block">Object/Directory - embedded object in a property</div>
                            </li>
                        </ul>
                        <a name="LONG_LONG">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LONG_LONG</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a> LONG_LONG</pre>
                                <div class="block">I8 - 8-byte signed integer</div>
                            </li>
                        </ul>
                        <a name="TIME">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TIME</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a> TIME</pre>
                                <div class="block">SysTime - FILETIME 64-bit integer specifying the number of 100ns
                                    periods
                                    since Jan 1, 1601
                                </div>
                            </li>
                        </ul>
                        <a name="CLS_ID">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>CLS_ID</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a> CLS_ID</pre>
                                <div class="block">ClassId - OLE GUID</div>
                            </li>
                        </ul>
                        <a name="BINARY">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BINARY</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a> BINARY</pre>
                                <div class="block">Binary - counted byte array</div>
                            </li>
                        </ul>
                        <a name="ASCII_STRING">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ASCII_STRING</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a> ASCII_STRING</pre>
                                <div class="block">An 8-bit string, probably in CP1252, but don't quote us... Normally
                                    used
                                    for everything before Outlook 3.0, and some fields in Outlook 3.0.
                                </div>
                            </li>
                        </ul>
                        <a name="UNICODE_STRING">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>UNICODE_STRING</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a> UNICODE_STRING</pre>
                                <div class="block">A string, from Outlook 3.0 onwards. Normally unicode</div>
                            </li>
                        </ul>
                        <a name="MULTIVALUED_FLAG">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>MULTIVALUED_FLAG</h4>
                                <pre>public static final&nbsp;int MULTIVALUED_FLAG</pre>
                                <div class="block">MultiValued - Value part contains multiple values</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hsmf.datatypes.Types.MULTIVALUED_FLAG">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="Types--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>Types</h4>
                                <pre>public&nbsp;Types()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getById-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getById</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a>&nbsp;getById(int&nbsp;typeId)</pre>
                            </li>
                        </ul>
                        <a name="asFileEnding-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>asFileEnding</h4>
                                <pre>public static&nbsp;java.lang.String&nbsp;asFileEnding(int&nbsp;type)</pre>
                            </li>
                        </ul>
                        <a name="asName-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>asName</h4>
                                <pre>public static&nbsp;java.lang.String&nbsp;asName(int&nbsp;typeId)</pre>
                            </li>
                        </ul>
                        <a name="createCustom-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>createCustom</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a>&nbsp;createCustom(int&nbsp;typeId)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Types.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
               title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
               title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hsmf/datatypes/Types.html" target="_top">Frames</a></li>
        <li><a href="Types.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
